### Method

# Gio SettingsSchemaSource ref

since: 2.32

#### Declaration

    GSettingsSchemaSource*
    g_settings_schema_source_ref (
      GSettingsSchemaSource* source
    )

#### Description

Increase the reference count of `source`, returning a new reference.

Available since: 2.32

#### Return value

Type: `GSettingsSchemaSource`

A new reference to `source`.

The caller of the method takes ownership of the data, and is responsible for freeing it.